@echo off
 
:: 获取Git提交哈希
for /f "delims=" %%i in ('git rev-parse HEAD') do set GIT_COMMIT_HASH=%%i
 
:: 获取Git分支名称
for /f "delims=" %%i in ('git branch --show-current') do set GIT_BRANCH=%%i

set DingAccessToken=e20c2217ae056af5d574d7a5c01340ce5d72eb77ae4ff05974e8c72f3a6b1ca2
set DingSecret=SECfc662dd07db57dea77bd2e44798cb88d89fec9c6ced8207408fd9d7c1f377dfb

:: 获取编译时间
::setlocal enabledelayedexpansion
:: 获取当前日期和时间，并格式化为 YYYYMMDDHHMMSS
for /f "tokens=*" %%i in ('powershell -command "Get-Date -Format yyyyMMddHHmmss"') do (
    set BuildDate=%%i
)
:: 输出为Go链接器标志格式
echo -X main.GitCommitHash=%GIT_COMMIT_HASH%
echo -X main.GitBranch=%GIT_BRANCH%
echo -X main.BuildDate=%BuildDate%
echo -X main.DingAccessToken=%DingAccessToken%
echo -X main.DingSecret=%DingSecret%
::endlocal

 


set GOARCH=amd64
set GOOS=linux
set CGO_ENABLED=0

cd ../server/truco
go build -ldflags "-X main.GitBranch=%GIT_BRANCH% -X main.GitCommit=%GIT_COMMIT_HASH% -X main.BuildDate=%BuildDate% -X main.DingAccessToken=%DingAccessToken% -X main.DingSecret=%DingSecret%" -o ../../bin/truco

cd ../cacheta
go build -ldflags "-X main.GitBranch=%GIT_BRANCH% -X main.GitCommit=%GIT_COMMIT_HASH% -X main.BuildDate=%BuildDate% -X main.DingAccessToken=%DingAccessToken% -X main.DingSecret=%DingSecret%" -o ../../bin/cacheta

cd ../db
go build -ldflags "-X main.GitBranch=%GIT_BRANCH% -X main.GitCommit=%GIT_COMMIT_HASH% -X main.BuildDate=%BuildDate% -X main.DingAccessToken=%DingAccessToken% -X main.DingSecret=%DingSecret%" -o ../../bin/sambadb

cd ../clickhouse
go build -ldflags "-X main.GitBranch=%GIT_BRANCH% -X main.GitCommit=%GIT_COMMIT_HASH% -X main.BuildDate=%BuildDate% -X main.DingAccessToken=%DingAccessToken% -X main.DingSecret=%DingSecret%" -o ../../bin/clickhousedb

cd ../hall
go build -ldflags "-X main.GitBranch=%GIT_BRANCH% -X main.GitCommit=%GIT_COMMIT_HASH% -X main.BuildDate=%BuildDate% -X main.DingAccessToken=%DingAccessToken% -X main.DingSecret=%DingSecret%" -o ../../bin/hall

cd ../club
go build -ldflags "-X main.GitBranch=%GIT_BRANCH% -X main.GitCommit=%GIT_COMMIT_HASH% -X main.BuildDate=%BuildDate% -X main.DingAccessToken=%DingAccessToken% -X main.DingSecret=%DingSecret%" -o ../../bin/club

cd ../other
go build -ldflags "-X main.GitBranch=%GIT_BRANCH% -X main.GitCommit=%GIT_COMMIT_HASH% -X main.BuildDate=%BuildDate% -X main.DingAccessToken=%DingAccessToken% -X main.DingSecret=%DingSecret%" -o ../../bin/other