package main

import (
	"fmt"
	"samba/pkg/ksync"
	"samba/server/truco/cmd"
	"time"
)

var (
	GitCommit       = "unknown"
	GitBranch       = "unknown"
	BuildDate       = "unknown"
	DingAccessToken = ""
	DingSecret      = ""
)

func main() {
	tm, err := time.Parse("20060102150405", BuildDate)
	if err == nil {
		BuildDate = tm.Format("2006-01-02 15:04:05")
	}
	ksync.DingSecret = DingSecret
	ksync.DingAccessToken = DingAccessToken
	ksync.RunSafe(func() {
		cmd.Run(fmt.Sprintf("版本分支:%v,hash值:%v,编译时间:%v", GitBranch, GitCommit, BuildDate))
	}, nil)
}
