package stub

type ItemId int

const (
	// Coin 金币
	Coin ItemId = 1000
	// Diamonds 钻石
	Diamonds ItemId = 1001
	// ClubCoins 俱乐部币
	ClubCoins ItemId = 1003
)

var itemName = map[ItemId]string{
	Coin:      "金币",
	Diamonds:  "钻石",
	ClubCoins: "俱乐部币",
}

func (i ItemId) String() string {
	str, ok := itemName[i]
	if !ok {
		str = "unknown"
	}
	return str
}
