package state

type RoomStatus int

const (
	RsWait       = RoomStatus(0)
	RsReadyStart = RoomStatus(1)
	RsGaming     = RoomStatus(10)
	RsDelete     = RoomStatus(100)
)

type DisbandType int

const (
	DtAgainst DisbandType = 0
	DtAgree   DisbandType = 1
	DtStart   DisbandType = 2
)

type RoomDisbandType int

const (
	RdtNormal RoomDisbandType = 0
	RdtGm     RoomDisbandType = 1
	RdtMgr    RoomDisbandType = 2
	RdtMember RoomDisbandType = 3
)
