package handler

import (
	"github.com/stretchr/testify/assert"
	"samba/pkg/servername"
	"samba/proto"
	"samba/util/routingKey"
	"samba/util/sender"
	"samba/util/util"
	"testing"
)

func Test_onPlayingCount(t *testing.T) {
	s := sender.NewMQSender(
		util.Direct(servername.Hall),
		routingKey.Hall,
	)
	err := s.SendWithUId(proto.ReqPlayingNumId, 10086, struct {
	}{})
	assert.NoError(t, err)
}
