package routingKey

import (
	"fmt"
	"samba/pkg/servername"
)

const (
	Hall        = "hall"
	Truco       = "truco"
	Club        = "club"
	UserOnline  = "user.online"
	UserOffline = "user.offline"
	//GateExchange  = "user.direct"
	SystemPublish      = "system.publish"
	CreateClubPlayType = "create.club.play_type" // 俱乐部创建玩法
	Other              = "other"
)

// 发送给网关的uid
func GateKey(UId int64) string {
	return fmt.Sprintf("user.sgw.%v", UId%100)
	//return fmt.Sprintf("user.sgw.%v", 7)
}

// 发送给房间
func RoomKey(roomId int) string {
	return fmt.Sprintf("room.%v", roomId)
}

func DbKey(uid int64) string {
	return fmt.Sprintf("%v-%v", servername.Money, uid%5)
}

func ClickHouseKey(uid int64) string {
	return fmt.Sprintf("%v-%v", servername.ClickHouse, uid%5)
}
